## org.apache.hadoop.security.token.delegation
Class DelegationKey

    java.lang.Object
      org.apache.hadoop.security.token.delegation.DelegationKey

All Implemented Interfaces:
  Writable

    public class DelegationKey

extends Object
implements Writable

Key used for generating and verifying delegation tokens

Constructor Summary
`DelegationKey()`
`DelegationKey(int keyId, long expiryDate, SecretKey key)`

Method Summary
`long` `getExpiryDate()`
`SecretKey` `getKey()`
`int` `getKeyId()`
`void` `readFields(DataInput in)` Deserialize the fields of this object from `in`.
`void` `setExpiryDate(long expiryDate)`
`void` `write(DataOutput out)` Serialize the fields of this object to `out`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegationKey

    public DelegationKey()

### DelegationKey

    public DelegationKey(int keyId,
                         long expiryDate,
                         SecretKey key)

Method Detail

### getKeyId

    public int getKeyId()

### getExpiryDate

    public long getExpiryDate()

### getKey

    public SecretKey getKey()

### setExpiryDate

    public void setExpiryDate(long expiryDate)

### write

    public void write(DataOutput out)
               throws IOException

  Description copied from interface: `Writable`
  Serialize the fields of this object to `out`.

  Specified by:
    `write` in interface `Writable`
  Parameters:
    `out` - `DataOuput` to serialize this object into.
  Throws:
    `IOException`

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Description copied from interface: `Writable`
  Deserialize the fields of this object from `in`.

  For efficiency, implementations should attempt to re-use storage in the existing object where possible.

  Specified by:
    `readFields` in interface `Writable`
  Parameters:
    `in` - `DataInput` to deseriablize this object from.
  Throws:
    `IOException`

Copyright © 2009 The Apache Software Foundation